#include "computer.h"

#include <iostream>

Computer::Computer(double ram, double disk) :
    size_ram(ram), size_harddisk(disk), on(false)
{}  

void 
Computer::turn_on()
{
    on = true;
}

void 
Computer::turn_off()
{
    on = false;
}

void
Computer::print_info()
{
    std::cout << "Desktop PC with " << size_ram << " GB RAM, " 
         << size_harddisk << " GB hard disk, computer is turned " 
         << ((on==true)?"on":"off") << std::endl;   
}
