#include <iostream>
#include <vector>

#include "computer.h"

using namespace std;

int main(){
    
    cout << "Desktop Computers: " << endl;
    Computer comp1(4, 1000);
    Computer comp2(8, 500);
    comp2.turn_on();  
    comp1.print_info();
    comp2.print_info();
    cout << endl;

    // Version 1
    vector<Computer> computers;
    computers.push_back(comp1);
    computers.push_back(comp2);
    cout << "List of all computers: " << endl;
        
    for(vector<Computer>::iterator it = computers.begin(); it != computers.end(); ++it){
        (*it).print_info();    
    }
        
    return 0;
}
